-- Addon:   LockoutChecker
-- Author:  Spielstein@Curse
-- Date:    26.05.2017



------------------------------------------
--    Data                              --
------------------------------------------

if GetLocale() ~= "enGB" and GetLocale() ~= "enUS" and GetLocale() ~= "deDE" then
	print("LockoutChecker: Only german and english language supported")
	return
end


------------------------------------------
--		Addon loader					--
------------------------------------------


-- Creating the Addon's main array
if not LockoutChecker then
	LockoutChecker = {}
end

LockoutChecker.LOCALE = (GetLocale() == "deDE" and GetLocale() or "enUS")
LockoutChecker.OWN_NAME = string.format("|c" .. RAID_CLASS_COLORS[select(2, UnitClass("player"))]["colorStr"] .. UnitName("player"))
LockoutChecker.OWN_NAME_AND_REALM = UnitName("player") .. "-" .. GetRealmName()
LockoutChecker.FRIENDS_ICON = _G.BNet_GetClientEmbeddedTexture(_G.BNET_CLIENT_CLNT)


-- Creating the Addon'S mainframe
LockoutChecker.mainFrame = CreateFrame("Frame", "LockoutCheckerFrame", UIParent)


------------------------------------------
--		End of Script					--
------------------------------------------
